From 67531aca58d5eed1253cb54e422b712c23144f87 Mon Sep 17 00:00:00 2001
From: Joerg Schirottke <master@kanotix.com>
Date: Mon, 5 Mar 2012 00:27:20 +0100
Subject: hotfix for live config 3: remove-xinit hook

---
 config/chroot_local-hooks/remove-xinit | 6 ++++++
 1 file changed, 6 insertions(+)
 create mode 100755 config/chroot_local-hooks/remove-xinit

diff --git a/config/chroot_local-hooks/remove-xinit b/config/chroot_local-hooks/remove-xinit
new file mode 100755
index 0000000..22e14fd
--- /dev/null
+++ b/config/chroot_local-hooks/remove-xinit
@@ -0,0 +1,6 @@
+#!/bin/sh
+_X11=false
+for x in gdm gdm3 kdm lightdm lxdm nodm slim; do
+ [ -f /var/lib/dpkg/info/$x.list ] && _X11=true || :
+done
+[ "$_X11" = "true" ] && rm -vf /lib/live/config/014-xinit || :
-- 
cgit v1.0